/*
 * $Id: mrt_thread.h,v 1.1.1.1 1999/06/28 15:03:55 labovit Exp $
 */

#ifndef _MRT_THREAD_H
#define _MRT_THREAD_H

#if !defined(MRT_WIN_NT)
#include "config.h"
#endif

#ifndef HAVE_LIBPTHREAD
#include "pthread_fake.h"
#else
#ifdef HAVE_PTHREAD_H
#include <pthread.h>
#endif /* HAVE_PTHREAD_H */
#endif /* HAVE_LIBPTHREAD */

#ifndef HAVE_SIGPROCMASK
typedef unsigned long sigset_t;
#endif /* HAVE_SIGPROCMASK */

#ifndef HAVE_PTHREAD_ATTR_SETSCOPE
#define pthread_attr_setscope(attr, scope) /* nothing */
#endif /* HAVE_PTHREAD_ATTR_SETSCOPE */

#endif /* _MRT_THREAD_H */
